# Delete device

Deletes a specific device of the given user. This requires a **client access token** of the application, and must be called from the backend. **Required permissions**: `apps:delete`, `[appId]:delete`, `devices:delete`.

Endpoint: DELETE /v1/users/{user_id}/devices/{device_id}
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Path parameters:

  - `user_id` (string, required)
    User ID

  - `device_id` (string, required)
    Device ID

## Query parameters:

  - `delete_bound_authenticators` (boolean)
    Whether to also delete the authenticators bound to this device

## Response 204:

  - `204` (unknown)
    Device deleted

## Response 400:

  - `400` (unknown)
    Invalid request parameters

## Response 400 fields (application/json):

  - `error_code` (string)
    Enum: "system_invalid_input"

  - `message` (string)

## Response 404:

  - `404` (unknown)
    User or device does not exist

## Response 404 fields (application/json):

  - `error_code` (string)
    Enum: "user_not_found", "device_not_found"

  - `message` (string)

